/*************************************************************************
 *
 * ADOBE CONFIDENTIAL
 * ___________________
 *
 * Copyright 2012 Adobe Systems Incorporated
 * All Rights Reserved.
 *
 * NOTICE: All information contained herein is, and remains
 * the property of Adobe Systems Incorporated and its suppliers,
 * if any. The intellectual and technical concepts contained
 * herein are proprietary to Adobe Systems Incorporated and its
 * suppliers and are protected by trade secret or copyright law.
 * Dissemination of this information or reproduction of this material
 * is strictly forbidden unless prior written permission is obtained
 * from Adobe Systems Incorporated.
 *
 **************************************************************************/

function Doc()
{
};

Doc.prototype =
{
    set dirty(_val)
    {
    }
};

Doc.getField = function(name)
{
	var ret;
	
    var fieldName = window._doc.getField(name);
    if (fieldName == name)
    {
    	ret = new Field(name);	
    }
    
    return ret;
};

Doc.resetForm = function()
{
    if (arguments.length == 0)
    {
        window._doc.resetForm();
    }
};

Doc.submitForm = function()
{
    // For now we support only the arguments needed for Forms Central Submission
    if (arguments.length == 1 && Object.keys(arguments[0]).length == 3)
    {
		if (arguments[0].cURL && arguments[0].cSubmitAs == "HTML" && arguments[0].cCharset)
        {
            window._doc.submitForm(arguments[0].cURL, arguments[0].cSubmitAs, arguments[0].cCharset);
        }
    }
};

/**
 *  All Doc object APIs can be called without using the 'Doc.' prefix.
 *  Same as Acrobat.
 */
function getField(name)
{
    return Doc.getField(name);
};

function resetForm()
{
    Doc.resetForm();
};

function submitForm()
{
    Doc.submitForm();
};